Subject: "~/.emacs" asks me to visit TAGS table instead opening .emacs

From: Jean Louis <[email-masked]>
Date: Tue, 29 Sep 2020 08:20:46 +0200

I was following these instructions:

> ** Implicit Path Links

> Any existing absolute or relative pathname (whether doubly quoted or not)
> acts as an implicit button that either displays the referenced path within a
> buffer, passes it to an external viewer program, or runs a function that
> operates upon the path.  These are `pathname' implicit buttons.  For example,
> activate "HY-ABOUT".  HY-ABOUT or `HY-ABOUT' would work as well.   Or try
> "~/.emacs".  Pathname implicit buttons provide one example of how Hyperbole
> can improve your working environment without requiring any work from you.

When I did M-RET on "~/.emacs" I got in minibuffer:

Visit tags table (default TAGS): ~/.emacs.d/elpa/hyperbole-7.1.2/

and that was not what I expected.

Additionally, if cursor is on dot, the M-RET will not work on
"~/.emacs"

Additionally, if cursors is on last quotation mark, Emacs starts doing
something and I can only interrupt it.

I use:  Editor:      GNU Emacs 28.0.50 (build 15, x86_64-pc-linux-gnu, X toolkit, cairo version 1.14.8, Xaw3d scroll bars)

        Hyperbole:   7.1.2
        Sys Type:    x86_64-pc-linux-gnu
        OS Type:     gnu/linux
        Window Sys:  x
        News Reader: Gnus v5.13